Get points leaderboard
curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/points_leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/points_leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/points_leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"bonus_amps": 123,
"owner": "<string>",
"rank": 1,
"realized_pnl": 123,
"referral_amps": 123,
"streak_amps": 123,
"total_amps": 123,
"vault_amps": 123
}
],
"total_count": 1
}Analytics
Get points leaderboard
Retrieve the Hz/Amps points leaderboard with rankings by total Hz or realized PnL.
Results are paginated and can be sorted by total_amps or realized_pnl.
Use the search_term parameter to filter by owner address prefix.
GET
/
api
/
v1
/
points_leaderboard
Get points leaderboard
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Query Parameters
Page size
Required range:
0 <= x <= 1000Page offset
Required range:
0 <= x <= 10000Available options:
total_amps, realized_pnl Available options:
ASC, DESC Optional search term to filter by owner address prefix
Optional tier filter Tier filter for points leaderboard
Available options:
top20, diamond, doublePlatinum, gold Response
Paginated points leaderboard entries with rankings

